Name:          libidn
Version:       1.36
Release:       2mamba
Summary:       An implementation of the Stringprep, Punycode and IDNA specification
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gnu.org/software/libidn/
Source:        ftp://ftp.gnu.org/gnu/libidn/libidn-%{version}.tar.gz
License:       LGPL
Requires(post):%{__install_info}
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: mono-core
## AUTOBUILDREQ-END
BuildRequires: bash
%if "%{stage1}" != "1"
BuildRequires: emacs >= 21.3
BuildRequires: gcc-java
BuildRequires: gtk-doc
%endif
BuildRequires: gettext-devel >= 0.14.0
BuildRequires: texinfo
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
GNU Libidn is an implementation of the stringprep, punycode and IDNA specifications defined by the IETF Internationalized Domain Names (IDN) working group, used for internationalized domain names.
The library contains a generic Stringprep implementation that does Unicode 3.2 NFKC normalization, mapping and prohibitation of characters, and bidirectional character handling.
Profiles for iSCSI, Kerberos 5, Nameprep, SASL and XMPP are included.
Punycode and ASCII Compatible Encoding (ACE) via IDNA are supported.
Libidn is written in C and (parts of) the API is accessible from C, C++, Emacs Lisp, Python and Java. An experimental native Java API is also available.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
GNU Libidn is an implementation of the stringprep, punycode and IDNA specifications defined by the IETF Internationalized Domain Names (IDN) working group, used for internationalized domain names.
The library contains a generic Stringprep implementation that does Unicode 3.2 NFKC normalization, mapping and prohibitation of characters, and bidirectional character handling.
Profiles for iSCSI, Kerberos 5, Nameprep, SASL and XMPP are included.
Punycode and ASCII Compatible Encoding (ACE) via IDNA are supported.
Libidn is written in C and (parts of) the API is accessible from C, C++, Emacs Lisp, Python and Java. An experimental native Java API is also available.
Libidn can be built into GNU libc to enable a new system-wide getaddrinfo() flag for IDN processing.
Libidn is developed for the GNU/Linux system, but runs on over 20 platforms including most major Unix platforms and Windows, and many kind of devices including iPAQ handhelds and S/390 mainframes.
Libidn is written in C and (parts of) the API is accessible from C, C++, Emacs Lisp, Python and Java. An experimental native Java API is also available.

This package contains static libraries and header files needed for development.

%package apidocs
Summary:       GNU Libidn API documentation
Group:         Documentation
Requires:      gtk-doc

%description apidocs
GNU Libidn API documentation.

%debug_package

%prep
%setup -q

%build
%configure \
   --enable-shared \
   --disable-static \
%if "%{stage1}" != "1"
   --enable-csharp \
   --enable-java \
   --enable-gtk-doc
%endif

%ifarch arm
export LD_PRELOAD=/usr/lib/libatomic.so
%endif

%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%ifarch arm
export LD_PRELOAD=/usr/lib/libatomic.so
%endif

%makeinstall

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel
%install_info %{name}.info
exit 0

%preun devel
%uninstall_info %{name}.info
exit 0

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/idn
%{_datadir}/emacs/*
%if "%{stage1}" != "1"
%{_datadir}/java/*.jar
%endif
%{_libdir}/libidn.so.*
%if "%{stage1}" != "1"
%{_libdir}/Libidn.dll
%endif
%{_mandir}/man1/idn.*
%doc AUTHORS COPYING*

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/libidn.la
%{_libdir}/libidn.so
%{_libdir}/pkgconfig/libidn.pc
%{_infodir}/libidn.info.*
%{_infodir}/libidn-components.png.*
%{_mandir}/man3/*
%doc doc/libidn.pdf
%doc ChangeLog NEWS README THANKS TODO

%if "%{stage1}" != "1"
%files apidocs
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/libidn/
%endif

%changelog
* Sun Aug 23 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.36-2mamba
- debug package added

* Sat Jul 25 2020 Automatic Build System <autodist@mambasoft.it> 1.36-1mamba
- automatic version update by autodist

* Sat Sep 15 2018 Automatic Build System <autodist@mambasoft.it> 1.35-1mamba
- automatic version update by autodist

* Fri May 04 2018 Automatic Build System <autodist@mambasoft.it> 1.34-1mamba
- automatic version update by autodist

* Sat Jul 30 2016 Automatic Build System <autodist@mambasoft.it> 1.33-1mamba
- automatic version update by autodist

* Tue Aug 18 2015 Automatic Build System <autodist@mambasoft.it> 1.32-1mamba
- automatic version update by autodist

* Mon Mar 09 2015 Automatic Build System <autodist@mambasoft.it> 1.30-1mamba
- automatic version update by autodist

* Wed Aug 13 2014 Automatic Build System <autodist@mambasoft.it> 1.29-1mamba
- automatic version update by autodist

* Wed Jul 10 2013 Automatic Build System <autodist@mambasoft.it> 1.28-1mamba
- automatic version update by autodist

* Tue Dec 25 2012 Automatic Build System <autodist@mambasoft.it> 1.26-1mamba
- automatic version update by autodist

* Mon Aug 06 2012 Automatic Build System <autodist@mambasoft.it> 1.25-1mamba
- automatic version update by autodist

* Fri Jun 17 2011 Automatic Build System <autodist@mambasoft.it> 1.22-1mamba
- automatic update by autodist

* Sat Jun 26 2010 Automatic Build System <autodist@mambasoft.it> 1.19-1mamba
- automatic update by autodist

* Thu Jan 14 2010 Automatic Build System <autodist@mambasoft.it> 1.16-1mamba
- automatic update by autodist

* Wed Jun 10 2009 Automatic Build System <autodist@mambasoft.it> 1.15-1mamba
- automatic update by autodist

* Sat Apr 18 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.14-1mamba
- automatic update by autodist

* Tue Mar 31 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.13-1mamba
- automatic update by autodist

* Wed Feb 04 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.12-1mamba
- automatic update by autodist

* Fri Oct 31 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.11-1mamba
- update to 1.11

* Tue May 13 2008 Aleph0 <aleph0@openmamba.org> 1.7-1mamba
- update to 1.7

* Thu Jan 10 2008 Aleph0 <aleph0@openmamba.org> 1.4-1mamba
- update to 1.4

* Tue Jul 03 2007 Aleph0 <aleph0@openmamba.org> 0.6.14-1mamba
- update to 0.6.14

* Fri Jun 01 2007 Aleph0 <aleph0@openmamba.org> 0.6.13-1mamba
- update to 0.6.13
- do not build the static library

* Tue Jan 16 2007 Davide Madrisan <davide.madrisan@qilinux.it> 0.6.10-1qilnx
- update to version 0.6.10 by autospec
- new subpackage apidocs with API documentation

* Tue Dec 06 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.6.0-1qilnx
- update to version 0.6.0 by autospec
- enabled extensions for Java and Mono
- info and man3 pages moved to devel package
- build gtk documentation

* Mon Nov 07 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.5.20-1qilnx
- update to version 0.5.20 by autospec

* Tue Sep 20 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.5.19-1qilnx
- update to version 0.5.19 by autospec
- specfile updated: install/uninstall info files

* Mon Jan 31 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.5.9-1qilnx
- update to version 0.5.9 by autospec
- specfile updates

* Wed Oct 13 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.8-1qilnx
- package created by autospec
